//! Root document [`types::Module::from_xml_dom`]
//!
//! # Overview
//!
//! 1. Convert [`roxmltree::Document`] to register map respresented with types defined in
//!    [`types`], filling missing parameters. See [`converter`].
//! 2. Generate [`proc_macro2::TokenStream`] from register map produced in the previous step. See
//!    [`generator`].

pub mod types;
pub mod type_traits;
pub mod parser;
pub mod converter;
pub mod generator;
